Subject: Re: [Linux-fbdev-devel] [PATCH 1/3] radeonfb: Fix 64 bits resources on 32 bits archs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Apr 2008 20:34:21 +1000

On Wed, 2008-04-23 at 02:57 -0700, David Miller wrote:
> > It's up to the driver, and again, the current radeon driver doesn't
> use
> > radeonfb at all anymore...
> 
> The only portable thing is for X to use the PCI sysfs mmap() stuff,
> which current Xorg servers using libpciaccess do.
> 
> I know because I'm typing this from a sparc64 using a Radeon
> with current Xorg :-)

True :-) But I'd still like to fix the fb API for the sake of things
like directfb etc...

Ben.